package com.muyu.marketing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


/**
 * 百人策略
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "team_strategy_exemption_hundred", autoResultMap = true)
public class TeamStrategyExemptionHundred extends BaseEntity {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;
    /**
     * 持续时间
     */
    private long duration;
    /**
     * 最大购买量
     */
    private long maxBuy;
    /**
     * 单次购买量
     */
    private long oneBuy;
    /**
     * 虚拟人数
     */
    private long virtualNumber;
    /**
     * 策略状态
     */
    private String status;
    /**
     * 规则信息
     */
    private String ruleInfo;
}
