package com.muyu.marketing.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 *sku修改入参
 * @author: AoCi Tian
 * @create: 2024-11-26 19:45
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamProductSkuReq {

    /** 主键*/
    private Long id;
    /** 活动ID*/
    private Long teamId;
    /** 商品ID*/
    private Long productId;
    /** 商品SKU*/
    private String productSku;
    /** 拼团库存*/
    private Long teamStock;
    /** 剩余库存*/
    private Long remainStock;
    /** 拼团价格*/
    private BigDecimal teamPrice;



}
